• Welcome to Simple Machines Community Forum. Please login or sign up.

SMF 2.0.2 et 1.1.16 Patch de Sécurité Critique

Started by maximus23, December 23, 2011, 06:24:46 AM

Previous topic - Next topic

maximus23

December 23, 2011, 06:24:46 AM Last Edit: December 16, 2012, 05:15:38 PM by maximus23
Bonjour à Tous,

Simple Machines Forum project vous annonce la sortie d'un patch pour SMF 2.0.2 et SMF 1.1.16 qui corrige quelques vulnérabilités trouvées dans ces versions.

Ces corrections ont des implications sérieuses pour la sécurité de votre forum.
Nous conseillons vivement aux utilisateurs de mettre à jour leur version dès que possible.

Note pour les utilisateurs de SMF 2.0 :

Si cela n'apparaît pas dans votre centre d'administration vous avez deux options : 

1 - Téléchargez le patch sur le Site de Mise à Jour et placez le dans le gestionnaire de paquet pour l'installer.

2 - Lancer l'application programmée dans Admin -> Maintenance -> Tâches Programmées.
Sélectionner la Tâche "Télécharger les fichiers Simple Machines" et cocher la case de la deuxième colonne puis cliquer sur le bouton "Lancer Maintenant".

Si vous êtes intéressé par plus de détails, toutes les modifications apportées à cette version sont disponibles dans le fichier "changelog" qui se trouve dans notre page de téléchargement : http://download.simplemachines.org/

Enfin, veuillez ne pas poster sur ce sujet pour des questions de support.

Vous obtiendrez des réponses plus rapidement en postant sur le forum adéquat.

Cordialement,

Simple Machines Forum project

Message original : http://www.simplemachines.org/community/index.php?topic=463103.0
Pas de support par PM ou Courrier...Veuillez utiliser le forum pour vous avoir une réponse rapide à votre demande d'aide. Merci.
Amitiés et à Bientôt...
No support by PM or Mail...You will get better and faster responses in the support forums. Thank you.
Have a nice day...

Zuki.

December 23, 2011, 10:02:28 AM #1 Last Edit: December 23, 2011, 10:12:22 AM by Zuki.
Bonjour Maximus,

Petite info :

Un oubli dans la MàJ de PersonalMessage.template.php la version est restée à 2.0 , d'où l'indication en rouge dans "Vérification détaillée de la version ".

Pour ceux qui savent faire, il suffit de modifier la version (mettre 2.0.2) est le rouge disparait ! ;)

Quote from: Chercher<?php
/**
* Simple Machines Forum (SMF)
*
* @package SMF
* @author Simple Machines
* @copyright 2011 Simple Machines
* @license h**p://www.simplemachines.org/about/smf/license.php BSD
*
* @version 2.0
*/

Quote from: Modifier<?php
/**
* Simple Machines Forum (SMF)
*
* @package SMF
* @author Simple Machines
* @copyright 2011 Simple Machines
* @license h**p://www.simplemachines.org/about/smf/license.php BSD
*
* @version 2.0.2
*/


maximus23

Bonsoir,

Ce n'est pas une bonne option de modifier un patch de mise à jour car lors de la prochaine mise à jour tu auras une erreur d'installation :)

Pas de support par PM ou Courrier...Veuillez utiliser le forum pour vous avoir une réponse rapide à votre demande d'aide. Merci.
Amitiés et à Bientôt...
No support by PM or Mail...You will get better and faster responses in the support forums. Thank you.
Have a nice day...

Zuki.

Bonsoir Max et joyeux Noël,

Je n'ai pas modifié le patch, simplement le fichier "PersonalMessage.template.php" en manuel.
D'ailleurs il apparait en 2.0.2 (modifié) dans le patch.

Quote...
<file name="$themes_dir/core/PersonalMessage.template.php" error="skip">
      <operation>
         <search position="replace"><![CDATA[* @copyright 2011 Simple Machines
* @license http://www.simplemachines.org/about/smf/license.php BSD
*
* @version 2.0
]]></search>
         <add><![CDATA[* @copyright 2011 Simple Machines
* @license http://www.simplemachines.org/about/smf/license.php BSD
*
* @version 2.0.2
]]></add>
      </operation>
...      


GravuTrad

On a toujours besoin d'un plus petit que soi! (Petit!Petit!)


Think about Search function before posting.
Pensez à la fonction Recherche avant de poster.

Advertisement: